Bug 138720 - Gnome (fc1 + updates) takes ages to logout
Gnome (fc1 + updates) takes ages to logout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 16:00 EST by Pekka Hämäläinen
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:35:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Hämäläinen 2004-11-10 16:00:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
T312461; SV1; i-NavFourF; .NET CLR 1.1.4322)

Description of problem:
It takes several minutes to logout from Gnome. That is irrespective 
whether I use root / plain user accounts or applications are running 
at logout. I am selecting the RH menu and then "logout". After that I 
can still use terminal window, swap VTs but rh menu is not 
accessible. If I wait long enough e.g. 5 minutes everything closes 
down nicely and logon screen appears again. Login seem to work 
correctly.
When I am having terminal open with "top" I can see that the system 
is mostly idle 98%?? Also memory seems to be available.
The system is running nis, named, smb, mysql, htmld, etc. but not 
under heavy load (my personal server that is not accessible from 
internet e.g. behing fw). The HW P3-500 // 256Mb // 512 Mb swap. 
I have seen similar problems reported earlier, not open at the time 
though, without clear reason being told.

BTW, the problem appeared when updates were installed i.e I didn't 
have that at the first place when I installed FC1 in January.

Version-Release number of selected component (if applicable):
Gnome-session-2.4.0-3

How reproducible:
Always

Steps to Reproduce:
1.Just select rh menu -> logout
2.
3.
    

Actual Results:  Everything else but rh menu seems to work for 
several minutes until normal logout confirmation pop-up appears and 
screen fades.

Expected Results:  Well, a bit speedier as it has been earlier.

Additional info:
Comment 1 Pekka Hämäläinen 2004-11-10 16:22:18 EST
BTW .xsession-errors contained following text
=======
[root@fs1 root]# less .xsession-errors
/etc/X11/gdm/PreSession/Default: Registering your session with wtmp 
and utmp
/etc/X11/gdm/PreSession/Default: running: /usr/bin/X11/sessreg -a -
w /var/log/wt
mp -u /var/run/utmp -
x "/var/gdm/lappari.kiulu10clients.net:0.Xservers" -h "lapp
ari.kiulu10clients.net" -l "lappari.kiulu10clients.net:0" "root"
SESSION_MANAGER=local/fs1.kiulu10clients.net:/tmp/.ICE-unix/28494

** (nautilus:28606): WARNING **: destroyed file still being monitored

** (nautilus:28606): WARNING **: destroyed file still being monitored

** (nautilus:28606): WARNING **: destroyed file still being monitored

** (nautilus:28606): WARNING **: destroyed file still being monitored
.xsession-errors (END)
Comment 2 Ray Strode [halfline] 2004-11-10 23:33:13 EST
Hi Pekka,

Unfortunately, FC1 is no longer supported.  Do you see the same
behavior with FC3?
Comment 3 Pekka Hämäläinen 2004-11-16 15:26:51 EST
Hi,

I've now updated the system to FC2 + updates with YUM. 
The same behaviour (problem) is still there i.e. logout takes too long
time. I can try to either continue updating to FC3 but that takes
still some days when I get the system stable with YUM, OR I can
provide logs etc. from the system on your request / guidance.

BR Pekka
Comment 4 Ray Strode [halfline] 2004-11-16 18:57:30 EST
Hi Pekka,

Could you attach your ~/.gnome2/session file?
Comment 5 Pekka Hämäläinen 2004-11-18 00:26:43 EST
Here you are

Br
   Pekka


[Default]
0,id=117f000001000110033441300000313030002
0,RestartStyleHint=1
0,Priority=40
0,Program=magicdev
0,CurrentDirectory=/home/pekka
0,CloneCommand=magicdev --sm-config-prefix /magicdev-4cILtn/ 
0,RestartCommand=magicdev --sm-config-prefix /magicdev-4cILtn/ --sm-
client-id 117f000001000110033441300000313030002 --screen 0 
1,id=117f000001000110033441500000313030004
1,Priority=50
1,Program=eggcups
1,CurrentDirectory=/home/pekka
1,CloneCommand=eggcups --sm-config-prefix /eggcups-ikBqms/ 
1,RestartCommand=eggcups --sm-config-prefix /eggcups-ikBqms/ --sm-
client-id 117f000001000110033441500000313030004 --screen 0 
2,id=117f000001000110033441600000313030005
2,RestartStyleHint=2
2,Priority=60
2,Program=pam-panel-icon
2,CurrentDirectory=/home/pekka
2,CloneCommand=/usr/bin/pam-panel-icon 
2,RestartCommand=/usr/bin/pam-panel-icon --sm-client-id 
117f000001000110033441600000313030005 
2,Environment=
3,id=117f000001000110033441300000313030003
3,RestartStyleHint=2
3,Priority=40
3,Program=nautilus
3,CurrentDirectory=/home/pekka
3,CloneCommand=nautilus --sm-config-prefix /nautilus-VDC1cD/ 
3,RestartCommand=nautilus --sm-config-prefix /nautilus-VDC1cD/ --sm-
client-id 117f000001000110033441300000313030003 --screen 0 --no-
default-window 
4,id=117f000001000110033442000000313030006
4,Priority=60
4,Program=rhn-applet
4,CurrentDirectory=/home/pekka
4,CloneCommand=/usr/bin/rhn-applet-gui --sm-config-prefix /rhn-applet-
bSWtBs/ 
4,RestartCommand=/usr/bin/rhn-applet-gui --sm-config-prefix /rhn-
applet-bSWtBs/ --sm-client-id 117f000001000110033442000000313030006 --
screen 0 
5,id=117f000001000110075464500000086740000
5,Program=gnome-terminal
5,CurrentDirectory=/home/pekka
5,CloneCommand=gnome-terminal --sm-config-prefix /gnome-terminal-
PrbocL/ 
5,RestartCommand=gnome-terminal --sm-config-prefix /gnome-terminal-
PrbocL/ --sm-client-id 117f000001000110075464500000086740000 --screen 
0 --window-with-profile-internal-id=Default --show-menubar --
role=gnome-terminal-8857--383093073-1100754646 --active --geometry 
80x24 --title pekka@fs1:~ --working-directory /home/pekka --zoom 1 
6,id=117f000001000110033441300000313030001
6,RestartStyleHint=2
6,Priority=40
6,Program=gnome-panel
6,CurrentDirectory=/home/pekka
6,CloneCommand=gnome-panel --sm-config-prefix /gnome-panel-maqmJz/ --
profile default 
6,RestartCommand=gnome-panel --sm-config-prefix /gnome-panel-maqmJz/ -
-sm-client-id 117f000001000110033441300000313030001 --screen 0 --
profile default 
7,id=117f000001000110033441200000313030000
7,RestartStyleHint=2
7,Priority=20
7,Program=metacity
7,CurrentDirectory=/home/pekka
7,DiscardCommand=rm -f /home/pekka/.metacity/sessions/1100754843-8772-
2710395995.ms 
7,CloneCommand=metacity 
7,RestartCommand=metacity --sm-save-file 1100754843-8772-
2710395995.ms 
num_clients=8
Comment 6 Greg Trounson 2005-01-27 20:41:16 EST
I have a clean FC3 install here on an Athlon64 with an ATi Radeon
(using standard 'radeon' driver).  Most operations are nice and fast,
except for logging out of Gnome.

When I select "log out" and confirm, I'm dropped back to the desktop
which I can no longer interact with, and can only watch while the
system takes two minutes before bringing me back to the login screen.
 I can CTRL_ALT_BKSPACE to kill X, and I can CTRL_ALT_F1 to a terminal
during this time.

To state the obvious, memory usage is well below full, no disk
activity occurs, and CPU usage is below 10% so it's not actually
waiting on any machine resources. 

I've since verified that this happens irrespective of the user (root
or otherwise) and the video driver ('radeon', 'vesa', or 'vga').

While I haven't entirely reached the bottom of this problem my
colleague has identified a workaround:

When someone logs out of a GNOME session, it tries to read the
~/.gnome2/xsession file.  If this file is not populated (just the
presence of an empty file with this name is NOT enough), then the
session will stall for 2-3 minutes on logout.  (Curiously, killing X
at this stage also kills gdm.  This doesn't happen at any other time.)

If you click "Save session" in the logout dialogue, the session will
still freeze, but it will be the last time.  All subsequent
login/logouts go without a hitch.  It is this process that creates and
populates the ~/.gnome2/xsession file.

Unfortunately this means that for every user, they are guaranteed at
least one stalled logout.  I tried putting a template in /etc/skel,
but the file has many references to absolute home directory paths (eg
/root), and it doesn't seem to parse the "~" ("current user home
directory") character.

This strongly points to a bug in GNOME. 

Comment 7 Sitsofe Wheeler 2005-03-15 03:41:53 EST
Might be related to bug #110280
Comment 8 Matthew Miller 2005-04-26 11:48:37 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 Ray Strode [halfline] 2005-05-11 17:35:59 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.